Subject: Re: [PATCH 0/2] pre-commit hook updates

From: Jeff King <[email-masked]>
Date: Wed, 26 Nov 2014 13:56:11 -0500

On Wed, Nov 26, 2014 at 10:35:22AM -0800, Junio C Hamano wrote:

> I _think_ "give only info that is necessary" is cleaner as an
> interface in theory, but have two niggles myself:
> 
>  1. the hooks must do the "argument parsing" loop (you already
>     mentioned this);
> 
>  2. the hooks cannot tell if the lack of "amending" argument is
>     because the version of Git predates that "amending" hint
>     support, or because the user action is a straight "commit" not
>     an "commit --amend".
> 
> In any case, I do not have strong preference myself.

That agrees with my thinking exactly.

At this point since both of us seem on the fence, I am happy to let
Øystein, as the person who is actually writing the patch, decide.

-Peff